### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
VarianceGammaModel Class Reference

Variance Gamma model. More...

`#include <ql/experimental/variancegamma/variancegammamodel.hpp>`

Inheritance diagram for VarianceGammaModel:
[legend]

List of all members.

## Public Member Functions

| VarianceGammaModel (const boost::shared_ptr< VarianceGammaProcess > &process)
Real | sigma () const
Real | nu () const
Real | theta () const
boost::shared_ptr < VarianceGammaProcess > | process () const

## Protected Member Functions

void | generateArguments ()

## Protected Attributes

boost::shared_ptr < VarianceGammaProcess > | process_

## Detailed Description

Variance Gamma model.

References:

Dilip B. Madan, Peter Carr, Eric C. Chang (1998) "The variance gamma process and option pricing," European Finance Review, 2, 79-105

Warning:
  calibration is not implemented for VG